## org.apache.batik.dom.svg
Class AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
              org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGPathSeg, org.w3c.dom.svg.SVGPathSegClosePath, org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs, org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel

Enclosing class:
  AbstractSVGPathSegList

    public class AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem

extends AbstractSVGPathSegList.SVGPathSegItem
implements org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs, org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`angle, largeArcFlag, letter, r1, r2, sweepFlag, type, x, x1, x2, y, y1, y2`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg

`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem(short type, java.lang.String letter, float x1, float y1, float x, float y)`
`AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem(org.w3c.dom.svg.SVGPathSeg pathSeg)`

Method Summary
`protected java.lang.String` `getStringValue()` Return the string representation of the item.
`float` `getX()`
`float` `getX1()`
`float` `getY()`
`float` `getY1()`
`void` `setX(float x)`
`void` `setX1(float x1)`
`void` `setY(float y)`
`void` `setY1(float y1)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`getPathSegType, getPathSegTypeAsLetter`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSeg
`getPathSegType, getPathSegTypeAsLetter`

Constructor Detail

### AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem

    public AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem(short type,
                                                                 java.lang.String letter,
                                                                 float x1,
                                                                 float y1,
                                                                 float x,
                                                                 float y)

### AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem

    public AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem(org.w3c.dom.svg.SVGPathSeg pathSeg)

Method Detail

### getX

    public float getX()

  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### getY

    public float getY()

  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### setX

    public void setX(float x)

  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### setY

    public void setY(float y)

  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### getX1

    public float getX1()

  Specified by:
    `getX1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `getX1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### getY1

    public float getY1()

  Specified by:
    `getY1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `getY1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### setX1

    public void setX1(float x1)

  Specified by:
    `setX1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `setX1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### setY1

    public void setY1(float y1)

  Specified by:
    `setY1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs`
  Specified by:
    `setY1` in interface `org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel`

### getStringValue

    protected java.lang.String getStringValue()

  Description copied from class: `AbstractSVGItem`
  Return the string representation of the item.

  Overrides:
    `getStringValue` in class `AbstractSVGPathSegList.SVGPathSegItem`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.